# std::vector<bool>::swap

From cppreference.com
< cpp‎ | container‎ | vector bool

Defined in header `<vector>` |  |
static void swap(reference x, reference y); |  |

Swaps the contents of `x` and `y`.

### Parameters

x | - | std::vector<bool>::reference value to swap with `y`
y | - | std::vector<bool>::reference value to swap with `x`

### Return value

(none)

### See also

reference | proxy class representing a reference to a single bool (class)
std::swap(std::vector) | specializes the std::swap algorithm (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/vector_bool/swap&oldid=57337"